<script lang="ts">
	import { courses } from '$lib';
	import type { LayoutData } from '../$types';

	export let data: LayoutData;

	$: course = courses.find((c) => c.id == data.courseId);
</script>

{#if course}
	<form>
		<md-chip-set>
			{#each course.tags as tag}
				<md-filter-chip style:text-transform="capitalize" toggle label={tag}> </md-filter-chip>
			{/each}
		</md-chip-set>

		<md-outlined-text-field required label="Subject" value=""> </md-outlined-text-field>

		<md-outlined-text-field required type="textarea" label="Content" rows="3" style:min-height="5em">
		</md-outlined-text-field>

		<div class="checkbox">
			<md-checkbox id="is-note" touch-target="wrapper"></md-checkbox>
			<label for="is-note">Make a note</label>
		</div>

		<md-filled-button>Create</md-filled-button>
	</form>
{/if}

<style>
	form {
		display: flex;
		flex-direction: column;
		background-color: var(--md-sys-color-surface);
		border-radius: 1em;
		gap: 1em;
		padding: 1em;
	}

	.checkbox {
		display: flex;
		align-items: center;
	}
</style>
